# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_HArray1OfDirectionCountSelect Class Reference

`#include <StepVisual_HArray1OfDirectionCountSelect.hxx>`

## Public Member Functions

Standard_EXPORT | StepVisual_HArray1OfDirectionCountSelect (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepVisual_HArray1OfDirectionCountSelect (const Standard_Integer Low, const Standard_Integer Up, const StepVisual_DirectionCountSelect &V)
Standard_EXPORT void | Init (const StepVisual_DirectionCountSelect &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepVisual_DirectionCountSelect &Value)
const StepVisual_DirectionCountSelect & | Value (const Standard_Integer Index) const
StepVisual_DirectionCountSelect & | ChangeValue (const Standard_Integer Index)
const StepVisual_Array1OfDirectionCountSelect & | Array1 () const
StepVisual_Array1OfDirectionCountSelect & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepVisual_Array1OfDirectionCountSelect | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_HArray1OfDirectionCountSelect::StepVisual_HArray1OfDirectionCountSelect | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepVisual_HArray1OfDirectionCountSelect::StepVisual_HArray1OfDirectionCountSelect | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepVisual_DirectionCountSelect & | V
| ) |

## Member Function Documentation

const StepVisual_Array1OfDirectionCountSelect& StepVisual_HArray1OfDirectionCountSelect::Array1 | ( |  | ) | const

StepVisual_Array1OfDirectionCountSelect& StepVisual_HArray1OfDirectionCountSelect::ChangeArray1 | ( |  | ) |

StepVisual_DirectionCountSelect& StepVisual_HArray1OfDirectionCountSelect::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepVisual_HArray1OfDirectionCountSelect::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepVisual_HArray1OfDirectionCountSelect::Init | ( | const StepVisual_DirectionCountSelect & | V | ) |

Standard_Integer StepVisual_HArray1OfDirectionCountSelect::Length | ( |  | ) | const

Standard_Integer StepVisual_HArray1OfDirectionCountSelect::Lower | ( |  | ) | const

void StepVisual_HArray1OfDirectionCountSelect::SetValue | ( | const Standard_Integer | Index,
|  | const StepVisual_DirectionCountSelect & | Value
| ) |

Standard_Integer StepVisual_HArray1OfDirectionCountSelect::Upper | ( |  | ) | const

const StepVisual_DirectionCountSelect& StepVisual_HArray1OfDirectionCountSelect::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepVisual_Array1OfDirectionCountSelect StepVisual_HArray1OfDirectionCountSelect::myArray`[private]`

The documentation for this class was generated from the following file:

- StepVisual_HArray1OfDirectionCountSelect.hxx